Jump to content
Sign in to follow this  
sdempsey

Movable Type Upgrade Not Going Well, Mysql Issues

Recommended Posts

Hi guys & gals,

Just tried to update to Movable Type 3.3. Everything seemed to be going OK until I got the following ominous message>>

Got an error: Unsupported driver MT::ObjectDriver::DBI::mysql: Global symbol "$pfx" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 390.

Global symbol "$tbl" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 390.

Global symbol "$tbl" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 390.

Global symbol "$driver" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 391.

Global symbol "$driver" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 394.

Global symbol "$id" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 395.

Global symbol "$driver" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 396.

Global symbol "$driver" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 398.

Global symbol "$class" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 398.

Global symbol "$obj" requires explicit package name at lib/MT/ObjectDriver/DBI.pm line 398.

Unmatched right curly bracket at lib/MT/ObjectDriver/DBI.pm line 400, at end of line

lib/MT/ObjectDriver/DBI.pm has too many errors.

Compilation failed in require at lib/MT/ObjectDriver/DBI/mysql.pm line 9.

BEGIN failed--compilation aborted at lib/MT/ObjectDriver/DBI/mysql.pm line 9.

Compilation failed in require at (eval 7) line 1.

BEGIN failed--compilation aborted at (eval 7) line 1.

 

Mt-check.cgi says mysql is present. I've done a bit of searching on other forums and it may be something to do with the server configuration. A few posts in 6apart's own forum said that there's a known issue with a cpanel update which screws up perl modules. Does anybody have any ideas how to remedy this as I've wasted around an hour and gotten nowhere.

Share this post


Link to post
Share on other sites

I followed the instructions to the letter and uploaded the files again (all in ASCII mode except the images).

I'm still stuck with the same error. This is very confusing indeed.

http://www.gaisan.com/cgi-bin/mt-check.cgi says that everything is fine. Same as the post you referred me to. I've even tried using a different FTP client and unzipping the files again.

 

I've looked at this error on the official 6apart site at http://www.sixapart.com/movabletype/kb/err...ported_dri.html

My mt-check.cgi says that DBD:mysql is installed and so is the DBI Perl module. I'm stumped. :P

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Sign in to follow this  

×
×
  • Create New...